version: 5
dev:
    enablePreviewV2: true
commands:
    lookup:
        note:
            selectionMode: extract
            confirmVaultOnCreate: true
            vaultSelectionModeOnCreate: smart
            leaveTrace: false
            bubbleUpCreateNew: true
            fuzzThreshold: 0.2
    randomNote: {}
    insertNote:
        initialValue: templates
    insertNoteLink:
        aliasMode: none
        enableMultiSelect: false
    insertNoteIndex:
        enableMarker: false
    copyNoteLink: {}
workspace:
    vaults:
        -
            fsPath: vault
    journal:
        dailyDomain: daily
        name: journal
        dateFormat: y.MM.dd
        addBehavior: childOfDomain
    scratch:
        name: scratch
        dateFormat: y.MM.dd.HHmmss
        addBehavior: asOwnDomain
    task:
        name: ''
        dateFormat: ''
        addBehavior: childOfCurrent
        statusSymbols:
            '': ' '
            wip: w
            done: x
            assigned: a
            moved: m
            blocked: b
            delegated: l
            dropped: d
            pending: 'y'
        prioritySymbols:
            H: high
            M: medium
            L: low
        todoIntegration: false
        createTaskSelectionType: selection2link
    graph:
        zoomSpeed: 1
    enableAutoCreateOnDefinition: false
    enableXVaultWikiLink: false
    enableRemoteVaultInit: true
    enableUserTags: true
    enableHashTags: true
    workspaceVaultSyncMode: noCommit
    enableAutoFoldFrontmatter: false
    enableEditorDecorations: true
    maxPreviewsCached: 10
    maxNoteLength: 204800
preview:
    enableFMTitle: true
    enableNoteTitleForLink: true
    enableFrontmatterTags: true
    enableHashesForFMTags: false
    enableMermaid: true
    enablePrettyRefs: true
    enableKatex: true
    automaticallyShowPreview: false
publishing:
    siteUrl: "https://servicekit.bluenova.software"
    enableFMTitle: true
    enableNoteTitleForLink: true
    enableMermaid: true
    enablePrettyRefs: true
    enableKatex: true
    copyAssets: true
    siteHierarchies:
        - service-kit
        - concepts
        - projects
    writeStubs: false
    siteRootDir: docs
    seo:
        title: Service Kit
        description: Service Kit Wiki
    github:
        enableEditLink: false
        editLinkText: Edit this page on GitHub
        editBranch: main
        editViewMode: tree
    enableSiteLastModified: true
    enableFrontmatterTags: true
    enableHashesForFMTags: false
    enableRandomlyColoredTags: true
    enablePrettyLinks: true
    duplicateNoteBehavior:
        action: useVault
        payload:
            - vault
